panthema / 2009 / digup / digup-0.6.40 / src / Makefile.in (Download File)
# Makefile.in generated by automake 1.10.3 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# $Id: Makefile.am 26 2010-03-20 14:27:43Z tb $

VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
bin_PROGRAMS = digup$(EXEEXT)
@BUILDTESTS_TRUE@noinst_PROGRAMS = test_rbtree$(EXEEXT) \
@BUILDTESTS_TRUE@	test_digest$(EXEEXT) test_digup$(EXEEXT)
@BUILDTESTS_TRUE@TESTS = test_rbtree$(EXEEXT) test_digest$(EXEEXT) \
@BUILDTESTS_TRUE@	test_digup$(EXEEXT)
subdir = src
DIST_COMMON = $(dist_man1_MANS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am_digup_OBJECTS = digup.$(OBJEXT) rbtree.$(OBJEXT) digest.$(OBJEXT) \
	md5.$(OBJEXT) sha1.$(OBJEXT) sha256.$(OBJEXT) sha512.$(OBJEXT) \
	crc32.$(OBJEXT)
digup_OBJECTS = $(am_digup_OBJECTS)
digup_LDADD = $(LDADD)
am__test_digest_SOURCES_DIST = test_digest.c digest.c digest.h md5.c \
	md5.h sha1.c sha1.h sha256.c sha256.h sha512.c sha512.h \
	crc32.c crc32.h
@BUILDTESTS_TRUE@am_test_digest_OBJECTS = test_digest.$(OBJEXT) \
@BUILDTESTS_TRUE@	digest.$(OBJEXT) md5.$(OBJEXT) sha1.$(OBJEXT) \
@BUILDTESTS_TRUE@	sha256.$(OBJEXT) sha512.$(OBJEXT) \
@BUILDTESTS_TRUE@	crc32.$(OBJEXT)
test_digest_OBJECTS = $(am_test_digest_OBJECTS)
test_digest_LDADD = $(LDADD)
am__test_digup_SOURCES_DIST = test_digup.c rbtree.c rbtree.h digest.c \
	digest.h md5.c md5.h sha1.c sha1.h sha256.c sha256.h sha512.c \
	sha512.h crc32.c crc32.h
@BUILDTESTS_TRUE@am_test_digup_OBJECTS =  \
@BUILDTESTS_TRUE@	test_digup-test_digup.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_digup-rbtree.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_digup-digest.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_digup-md5.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_digup-sha1.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_digup-sha256.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_digup-sha512.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_digup-crc32.$(OBJEXT)
test_digup_OBJECTS = $(am_test_digup_OBJECTS)
test_digup_LDADD = $(LDADD)
test_digup_LINK = $(CCLD) $(test_digup_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am__test_rbtree_SOURCES_DIST = test_rbtree.c rbtree.c rbtree.h
@BUILDTESTS_TRUE@am_test_rbtree_OBJECTS =  \
@BUILDTESTS_TRUE@	test_rbtree-test_rbtree.$(OBJEXT) \
@BUILDTESTS_TRUE@	test_rbtree-rbtree.$(OBJEXT)
test_rbtree_OBJECTS = $(am_test_rbtree_OBJECTS)
test_rbtree_LDADD = $(LDADD)
test_rbtree_LINK = $(CCLD) $(test_rbtree_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/acscripts/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(digup_SOURCES) $(test_digest_SOURCES) \
	$(test_digup_SOURCES) $(test_rbtree_SOURCES)
DIST_SOURCES = $(digup_SOURCES) $(am__test_digest_SOURCES_DIST) \
	$(am__test_digup_SOURCES_DIST) $(am__test_rbtree_SOURCES_DIST)
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(dist_man1_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AM_CFLAGS = -W -Wall -pedantic -Wno-long-long
digup_SOURCES = digup.c \
	rbtree.c rbtree.h \
	digest.c digest.h \
	md5.c md5.h sha1.c sha1.h \
	sha256.c sha256.h sha512.c sha512.h \
	crc32.c crc32.h

dist_man1_MANS = digup.1
@BUILDTESTS_TRUE@test_rbtree_SOURCES = test_rbtree.c \
@BUILDTESTS_TRUE@	rbtree.c rbtree.h

@BUILDTESTS_TRUE@test_rbtree_CFLAGS = -DRBTREE_VERIFY
@BUILDTESTS_TRUE@test_digest_SOURCES = test_digest.c \
@BUILDTESTS_TRUE@	digest.c digest.h \
@BUILDTESTS_TRUE@	md5.c md5.h sha1.c sha1.h \
@BUILDTESTS_TRUE@	sha256.c sha256.h sha512.c sha512.h \
@BUILDTESTS_TRUE@	crc32.c crc32.h

@BUILDTESTS_TRUE@test_digup_SOURCES = test_digup.c \
@BUILDTESTS_TRUE@	rbtree.c rbtree.h \
@BUILDTESTS_TRUE@	digest.c digest.h \
@BUILDTESTS_TRUE@	md5.c md5.h sha1.c sha1.h \
@BUILDTESTS_TRUE@	sha256.c sha256.h sha512.c sha512.h \
@BUILDTESTS_TRUE@	crc32.c crc32.h

@BUILDTESTS_TRUE@test_digup_CFLAGS = -DRBTREE_VERIFY
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
digup$(EXEEXT): $(digup_OBJECTS) $(digup_DEPENDENCIES) 
	@rm -f digup$(EXEEXT)
	$(LINK) $(digup_OBJECTS) $(digup_LDADD) $(LIBS)
test_digest$(EXEEXT): $(test_digest_OBJECTS) $(test_digest_DEPENDENCIES) 
	@rm -f test_digest$(EXEEXT)
	$(LINK) $(test_digest_OBJECTS) $(test_digest_LDADD) $(LIBS)
test_digup$(EXEEXT): $(test_digup_OBJECTS) $(test_digup_DEPENDENCIES) 
	@rm -f test_digup$(EXEEXT)
	$(test_digup_LINK) $(test_digup_OBJECTS) $(test_digup_LDADD) $(LIBS)
test_rbtree$(EXEEXT): $(test_rbtree_OBJECTS) $(test_rbtree_DEPENDENCIES) 
	@rm -f test_rbtree$(EXEEXT)
	$(test_rbtree_LINK) $(test_rbtree_OBJECTS) $(test_rbtree_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crc32.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/digest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/digup.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md5.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rbtree.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sha1.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sha256.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sha512.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-crc32.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-digest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-md5.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-rbtree.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-sha1.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-sha256.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-sha512.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digup-test_digup.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_rbtree-rbtree.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_rbtree-test_rbtree.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

test_digup-test_digup.o: test_digup.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-test_digup.o -MD -MP -MF $(DEPDIR)/test_digup-test_digup.Tpo -c -o test_digup-test_digup.o `test -f 'test_digup.c' || echo '$(srcdir)/'`test_digup.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-test_digup.Tpo $(DEPDIR)/test_digup-test_digup.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test_digup.c' object='test_digup-test_digup.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-test_digup.o `test -f 'test_digup.c' || echo '$(srcdir)/'`test_digup.c

test_digup-test_digup.obj: test_digup.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-test_digup.obj -MD -MP -MF $(DEPDIR)/test_digup-test_digup.Tpo -c -o test_digup-test_digup.obj `if test -f 'test_digup.c'; then $(CYGPATH_W) 'test_digup.c'; else $(CYGPATH_W) '$(srcdir)/test_digup.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-test_digup.Tpo $(DEPDIR)/test_digup-test_digup.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test_digup.c' object='test_digup-test_digup.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-test_digup.obj `if test -f 'test_digup.c'; then $(CYGPATH_W) 'test_digup.c'; else $(CYGPATH_W) '$(srcdir)/test_digup.c'; fi`

test_digup-rbtree.o: rbtree.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-rbtree.o -MD -MP -MF $(DEPDIR)/test_digup-rbtree.Tpo -c -o test_digup-rbtree.o `test -f 'rbtree.c' || echo '$(srcdir)/'`rbtree.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-rbtree.Tpo $(DEPDIR)/test_digup-rbtree.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='rbtree.c' object='test_digup-rbtree.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-rbtree.o `test -f 'rbtree.c' || echo '$(srcdir)/'`rbtree.c

test_digup-rbtree.obj: rbtree.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-rbtree.obj -MD -MP -MF $(DEPDIR)/test_digup-rbtree.Tpo -c -o test_digup-rbtree.obj `if test -f 'rbtree.c'; then $(CYGPATH_W) 'rbtree.c'; else $(CYGPATH_W) '$(srcdir)/rbtree.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-rbtree.Tpo $(DEPDIR)/test_digup-rbtree.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='rbtree.c' object='test_digup-rbtree.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-rbtree.obj `if test -f 'rbtree.c'; then $(CYGPATH_W) 'rbtree.c'; else $(CYGPATH_W) '$(srcdir)/rbtree.c'; fi`

test_digup-digest.o: digest.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-digest.o -MD -MP -MF $(DEPDIR)/test_digup-digest.Tpo -c -o test_digup-digest.o `test -f 'digest.c' || echo '$(srcdir)/'`digest.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-digest.Tpo $(DEPDIR)/test_digup-digest.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='digest.c' object='test_digup-digest.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-digest.o `test -f 'digest.c' || echo '$(srcdir)/'`digest.c

test_digup-digest.obj: digest.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-digest.obj -MD -MP -MF $(DEPDIR)/test_digup-digest.Tpo -c -o test_digup-digest.obj `if test -f 'digest.c'; then $(CYGPATH_W) 'digest.c'; else $(CYGPATH_W) '$(srcdir)/digest.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-digest.Tpo $(DEPDIR)/test_digup-digest.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='digest.c' object='test_digup-digest.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-digest.obj `if test -f 'digest.c'; then $(CYGPATH_W) 'digest.c'; else $(CYGPATH_W) '$(srcdir)/digest.c'; fi`

test_digup-md5.o: md5.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-md5.o -MD -MP -MF $(DEPDIR)/test_digup-md5.Tpo -c -o test_digup-md5.o `test -f 'md5.c' || echo '$(srcdir)/'`md5.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-md5.Tpo $(DEPDIR)/test_digup-md5.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='md5.c' object='test_digup-md5.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-md5.o `test -f 'md5.c' || echo '$(srcdir)/'`md5.c

test_digup-md5.obj: md5.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-md5.obj -MD -MP -MF $(DEPDIR)/test_digup-md5.Tpo -c -o test_digup-md5.obj `if test -f 'md5.c'; then $(CYGPATH_W) 'md5.c'; else $(CYGPATH_W) '$(srcdir)/md5.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-md5.Tpo $(DEPDIR)/test_digup-md5.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='md5.c' object='test_digup-md5.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-md5.obj `if test -f 'md5.c'; then $(CYGPATH_W) 'md5.c'; else $(CYGPATH_W) '$(srcdir)/md5.c'; fi`

test_digup-sha1.o: sha1.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-sha1.o -MD -MP -MF $(DEPDIR)/test_digup-sha1.Tpo -c -o test_digup-sha1.o `test -f 'sha1.c' || echo '$(srcdir)/'`sha1.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-sha1.Tpo $(DEPDIR)/test_digup-sha1.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sha1.c' object='test_digup-sha1.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-sha1.o `test -f 'sha1.c' || echo '$(srcdir)/'`sha1.c

test_digup-sha1.obj: sha1.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-sha1.obj -MD -MP -MF $(DEPDIR)/test_digup-sha1.Tpo -c -o test_digup-sha1.obj `if test -f 'sha1.c'; then $(CYGPATH_W) 'sha1.c'; else $(CYGPATH_W) '$(srcdir)/sha1.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-sha1.Tpo $(DEPDIR)/test_digup-sha1.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sha1.c' object='test_digup-sha1.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-sha1.obj `if test -f 'sha1.c'; then $(CYGPATH_W) 'sha1.c'; else $(CYGPATH_W) '$(srcdir)/sha1.c'; fi`

test_digup-sha256.o: sha256.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-sha256.o -MD -MP -MF $(DEPDIR)/test_digup-sha256.Tpo -c -o test_digup-sha256.o `test -f 'sha256.c' || echo '$(srcdir)/'`sha256.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-sha256.Tpo $(DEPDIR)/test_digup-sha256.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sha256.c' object='test_digup-sha256.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-sha256.o `test -f 'sha256.c' || echo '$(srcdir)/'`sha256.c

test_digup-sha256.obj: sha256.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-sha256.obj -MD -MP -MF $(DEPDIR)/test_digup-sha256.Tpo -c -o test_digup-sha256.obj `if test -f 'sha256.c'; then $(CYGPATH_W) 'sha256.c'; else $(CYGPATH_W) '$(srcdir)/sha256.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-sha256.Tpo $(DEPDIR)/test_digup-sha256.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sha256.c' object='test_digup-sha256.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-sha256.obj `if test -f 'sha256.c'; then $(CYGPATH_W) 'sha256.c'; else $(CYGPATH_W) '$(srcdir)/sha256.c'; fi`

test_digup-sha512.o: sha512.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-sha512.o -MD -MP -MF $(DEPDIR)/test_digup-sha512.Tpo -c -o test_digup-sha512.o `test -f 'sha512.c' || echo '$(srcdir)/'`sha512.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-sha512.Tpo $(DEPDIR)/test_digup-sha512.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sha512.c' object='test_digup-sha512.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-sha512.o `test -f 'sha512.c' || echo '$(srcdir)/'`sha512.c

test_digup-sha512.obj: sha512.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-sha512.obj -MD -MP -MF $(DEPDIR)/test_digup-sha512.Tpo -c -o test_digup-sha512.obj `if test -f 'sha512.c'; then $(CYGPATH_W) 'sha512.c'; else $(CYGPATH_W) '$(srcdir)/sha512.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-sha512.Tpo $(DEPDIR)/test_digup-sha512.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sha512.c' object='test_digup-sha512.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-sha512.obj `if test -f 'sha512.c'; then $(CYGPATH_W) 'sha512.c'; else $(CYGPATH_W) '$(srcdir)/sha512.c'; fi`

test_digup-crc32.o: crc32.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-crc32.o -MD -MP -MF $(DEPDIR)/test_digup-crc32.Tpo -c -o test_digup-crc32.o `test -f 'crc32.c' || echo '$(srcdir)/'`crc32.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-crc32.Tpo $(DEPDIR)/test_digup-crc32.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='crc32.c' object='test_digup-crc32.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-crc32.o `test -f 'crc32.c' || echo '$(srcdir)/'`crc32.c

test_digup-crc32.obj: crc32.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -MT test_digup-crc32.obj -MD -MP -MF $(DEPDIR)/test_digup-crc32.Tpo -c -o test_digup-crc32.obj `if test -f 'crc32.c'; then $(CYGPATH_W) 'crc32.c'; else $(CYGPATH_W) '$(srcdir)/crc32.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_digup-crc32.Tpo $(DEPDIR)/test_digup-crc32.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='crc32.c' object='test_digup-crc32.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_digup_CFLAGS) $(CFLAGS) -c -o test_digup-crc32.obj `if test -f 'crc32.c'; then $(CYGPATH_W) 'crc32.c'; else $(CYGPATH_W) '$(srcdir)/crc32.c'; fi`

test_rbtree-test_rbtree.o: test_rbtree.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -MT test_rbtree-test_rbtree.o -MD -MP -MF $(DEPDIR)/test_rbtree-test_rbtree.Tpo -c -o test_rbtree-test_rbtree.o `test -f 'test_rbtree.c' || echo '$(srcdir)/'`test_rbtree.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_rbtree-test_rbtree.Tpo $(DEPDIR)/test_rbtree-test_rbtree.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test_rbtree.c' object='test_rbtree-test_rbtree.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -c -o test_rbtree-test_rbtree.o `test -f 'test_rbtree.c' || echo '$(srcdir)/'`test_rbtree.c

test_rbtree-test_rbtree.obj: test_rbtree.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -MT test_rbtree-test_rbtree.obj -MD -MP -MF $(DEPDIR)/test_rbtree-test_rbtree.Tpo -c -o test_rbtree-test_rbtree.obj `if test -f 'test_rbtree.c'; then $(CYGPATH_W) 'test_rbtree.c'; else $(CYGPATH_W) '$(srcdir)/test_rbtree.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_rbtree-test_rbtree.Tpo $(DEPDIR)/test_rbtree-test_rbtree.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='test_rbtree.c' object='test_rbtree-test_rbtree.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -c -o test_rbtree-test_rbtree.obj `if test -f 'test_rbtree.c'; then $(CYGPATH_W) 'test_rbtree.c'; else $(CYGPATH_W) '$(srcdir)/test_rbtree.c'; fi`

test_rbtree-rbtree.o: rbtree.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -MT test_rbtree-rbtree.o -MD -MP -MF $(DEPDIR)/test_rbtree-rbtree.Tpo -c -o test_rbtree-rbtree.o `test -f 'rbtree.c' || echo '$(srcdir)/'`rbtree.c
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_rbtree-rbtree.Tpo $(DEPDIR)/test_rbtree-rbtree.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='rbtree.c' object='test_rbtree-rbtree.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -c -o test_rbtree-rbtree.o `test -f 'rbtree.c' || echo '$(srcdir)/'`rbtree.c

test_rbtree-rbtree.obj: rbtree.c
@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -MT test_rbtree-rbtree.obj -MD -MP -MF $(DEPDIR)/test_rbtree-rbtree.Tpo -c -o test_rbtree-rbtree.obj `if test -f 'rbtree.c'; then $(CYGPATH_W) 'rbtree.c'; else $(CYGPATH_W) '$(srcdir)/rbtree.c'; fi`
@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/test_rbtree-rbtree.Tpo $(DEPDIR)/test_rbtree-rbtree.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='rbtree.c' object='test_rbtree-rbtree.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rbtree_CFLAGS) $(CFLAGS) -c -o test_rbtree-rbtree.obj `if test -f 'rbtree.c'; then $(CYGPATH_W) 'rbtree.c'; else $(CYGPATH_W) '$(srcdir)/rbtree.c'; fi`
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $$i; then file=$$i; \
	  else file=$(srcdir)/$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$all" -eq 1; then \
	    tests="test"; \
	    All=""; \
	  else \
	    tests="tests"; \
	    All="All "; \
	  fi; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="$$All$$all $$tests passed"; \
	    else \
	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all $$tests failed"; \
	    else \
	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    if test "$$skip" -eq 1; then \
	      skipped="($$skip test was not run)"; \
	    else \
	      skipped="($$skip tests were not run)"; \
	    fi; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \
	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
	    exit 1; \
	  else :; fi; \
	else :; fi
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(PROGRAMS) $(MANS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-man

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-man1

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-man

uninstall-man: uninstall-man1

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-binPROGRAMS clean-generic clean-noinstPROGRAMS ctags \
	distclean distclean-compile distclean-generic distclean-tags \
	distdir dvi dvi-am html html-am info info-am install \
	install-am install-binPROGRAMS install-data install-data-am \
	install-dvi install-dvi-am install-exec install-exec-am \
	install-html install-html-am install-info install-info-am \
	install-man install-man1 install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
	ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-man uninstall-man1

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
RSS 2.0 Weblog Feed Atom 1.0 Weblog Feed Valid XHTML 1.1 Valid CSS (2.1)
Copyright 2005-2014 Timo Bingmann - Impressum